<div class="container">
  <form [formGroup]="genreForm" (ngSubmit) = "onSubmit()">
    <input type="hidden" formControlName="id">
    <mat-form-field>
      <input matInput formControlName="name" type="text" placeholder="User Name">
    </mat-form-field>

    <button *ngIf = "!editMode" mat-flat-button color="primary" color="primary">Save</button>
    <button *ngIf = "editMode" mat-flat-button color="primary" color="primary">Edit</button>
  </form>
</div>